/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2011 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include <unique/unique.h>
#include "bindings_java.h"
#include "org_gnome_unique_UniqueMessageData.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_unique_UniqueMessageData_unique_1message_1data_1new
(
	JNIEnv* env,
	jclass cls
)
{
	UniqueMessageData* result;
	jlong _result;

	// call function
	result = unique_message_data_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_unique_UniqueMessageData_unique_1message_1data_1copy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	UniqueMessageData* result;
	jlong _result;
	UniqueMessageData* self;

	// convert parameter self
	self = (UniqueMessageData*) _self;

	// call function
	result = unique_message_data_copy(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_unique_UniqueMessageData_unique_1message_1data_1free
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	UniqueMessageData* self;

	// convert parameter self
	self = (UniqueMessageData*) _self;

	// call function
	unique_message_data_free(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_unique_UniqueMessageData_unique_1message_1data_1set_1text
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _text,
	jint _length
)
{
	UniqueMessageData* self;
	const gchar* text;
	gssize length;

	// convert parameter self
	self = (UniqueMessageData*) _self;

	// convert parameter text
	text = (const gchar*) bindings_java_getString(env, _text);
	if (text == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter length
	length = (gssize) _length;

	// call function
	unique_message_data_set_text(self, text, length);

	// cleanup parameter self

	// cleanup parameter text
	bindings_java_releaseString(text);

	// cleanup parameter length
}

JNIEXPORT jstring JNICALL
Java_org_gnome_unique_UniqueMessageData_unique_1message_1data_1get_1text
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gchar* result;
	jstring _result;
	UniqueMessageData* self;

	// convert parameter self
	self = (UniqueMessageData*) _self;

	// call function
	result = unique_message_data_get_text(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// and finally
	return _result;
}
